* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  line-height: 1.5;

  --primary-text-color: #181820;
  --secondary-text-color: #5c5c62;
  --durability-text-color: #6a737d9c;
  --icon-color: #6a737d;
  --border-color: #8c34b845;
  --text-decoration-color: #b286cb;
}

.container {
  margin: 0 auto;
  padding: 0 30px;
  max-width: 900px;
}

.fh {
  display: flex;
  align-items: end;
  justify-content: space-between;
}

.fv {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.resume {
  margin: 50px auto;
  border: 1px solid #f5f5f5;
  box-shadow: 1px 1px 7px 7px #f5f5f5;
  padding: 30px 0;
  max-width: 900px;
}

.resume-block {
  border-bottom: 3px solid var(--border-color);
  padding-bottom: 30px;
  margin-bottom: 15px;
}

@media screen and (width <= 576px) {
  .main-info,
  .contact-info-container,
  .skills-container {
    flex-direction: column;
  }

  .contact-info-container {
    align-items: center;
  }

  .experiences {
    margin-right: 0;
  }
}

.contact-info-header,
.contact-info-sub-header {
  text-align: center;
}

.contact-info-header {
  color: var(--primary-text-color);
  margin-bottom: 15px;
  text-decoration-color: var(--text-decoration-color);
  text-decoration-line: underline;
}

.contact-info-sub-header {
  color: var(--secondary-text-color);
  margin-bottom: 30px;
}

.contact-info-block {
  display: flex;
  gap: 1em;
}

.contact-info-item {
  cursor: pointer;
}

.contact-info-avatar {
  border-radius: 50%;
  width: 100px;
  height: 100px;
  object-fit: cover;
  border: 3px solid;
  border-color: var(--text-decoration-color);
}

.intro {
  display: flex;
  justify-content: start;
  flex-direction: column;
}

.intro-icon-wrapper {
  display: flex;
  justify-content: end;
}

.intro-text {
  color: var(--secondary-text-color);
  text-align: justify;
}

.intro-text img {
  float: right;
  padding: 1rem 0 1rem 1rem;
}

.skills-header {
  color: var(--secondary-text-color);
  text-align: center;
  margin-bottom: 15px;
}

.skills-text {
  columns: 2;
  color: var(--secondary-text-color);
  text-align: justify;
}

.skills-container {
  display: flex;
  gap: 6em;
}

.experiences {
  flex: 1 1 60%;
  margin-right: 50px;
}

.experiences-header {
  color: var(--secondary-text-color);
  text-align: left;
  margin-bottom: 20px;
}

.experiences-company-header {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3em;
}

.experiences-company-header-durability {
  color: var(--durability-text-color);
  text-align: left;
  font-size: 15px;
}

.experiences-company-header-name {
  color: var(--primary-text-color);
  text-decoration-color: var(--text-decoration-color);
  text-decoration-line: underline;
}

.experiences-company-header-role {
  color: var(--durability-text-color);
  text-align: left;
  font-size: 15px;
}

.experiences-company-project {
  margin-left: 15px;
  margin-bottom: 25px;
}

.experiences-company-project-name {
  color: var(--primary-text-color);
  text-align: left;
  margin-bottom: 10px;
}

.experiences-company-project-responsibilities {
  columns: 2;
  color: var(--secondary-text-color);
  padding-left: 20px;
}

.additional-info {
  flex: 1 1 40%;
}

.additional-info-education {
  margin-bottom: 20px;
}

.additional-info-education-header {
  color: var(--secondary-text-color);
  text-align: left;
  margin-bottom: 20px;
}

.additional-info-education-university {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1em;
}

.additional-info-education-university-durability {
  color: var(--durability-text-color);
  text-align: left;
  font-size: 15px;
}

.additional-info-education-university-speciality {
  color: var(--primary-text-color);
  text-decoration-color: var(--text-decoration-color);
  text-decoration-line: underline;
  font-size: 15px;
}

.additional-info-education-university-name {
  color: var(--secondary-text-color);
}

.additional-info-languages {
  margin-top: 20px;
}

.additional-inf-languages-header {
  color: var(--secondary-text-color);
  text-align: left;
  margin-bottom: 20px;
}

.additional-info-languages-container {
  display: flex;
  gap: 4em;
  justify-content: center;
  align-items: center;
}

.additional-info-languages-item {
  color: var(--secondary-text-color);
}

.myself {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.myself-header {
  color: var(--secondary-text-color);
  margin-bottom: 15px;
}

.myself-text {
  color: var(--secondary-text-color);
}

.myself-container {
  display: flex;
}
